#
# spec file for package eterm (Version 0.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel imlib imlib-devel libjpeg libpng libtiff libungif xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gzip imlib imlib-devel kbd less libjpeg libpng libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         eterm
Copyright:    GPL, mandrake <mandrake@mandrake.net>
Group:        X11/Applications
Provides:     Eterm
Autoreqprov:  on
Summary:      A featurerich terminalprogram
URL:          http://www.eterm.org
Version:      0.9
Release:      248
Source: ftp://eterm.sourceforge.net/pub/eterm/Eterm-%{version}.tar.bz2
BuildRoot: /var/tmp/Eterm-root

%description
Eterm is a really nice and feature-rich terminal program for X which can
be fully customized.

Authors:
--------
    Michael Jennings <mej@eterm.org>

SuSE series: xap

%prep
%setup -n Eterm-%{version}

%build
%{?suse_update_config:%{suse_update_config -f}}
%define prefix /usr/X11R6
CFLAGS="${RPM_OPT_FLAGS}" \
./configure --prefix=%{prefix} --with-backspace=del --with-delete=execute
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%files
%doc COPYING ChangeLog README
%doc %{prefix}/man/man1/Eterm.1.gz
%{prefix}/bin/*
%{prefix}/lib/*
%{prefix}/share/*

%changelog -n eterm
* Tue May 15 2001 - hhetter@suse.de
- get backspace and delete key to work ( #1394 )
* Mon May 07 2001 - mfabian@suse.de
- bzip2 source
* Sun Feb 25 2001 - egger@suse.de
- Remove unnecessary dependencies from #neededforbuild,
  especially imlib-config.
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Sun Dec 10 2000 - schwab@suse.de
- Add %%suse_update_config.
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Wed Aug 30 2000 - egger@suse.de 
- Updated to 0.9
* Wed Mar 08 2000 - kukuk@suse.de
- Fix BuildRoot install
* Tue Feb 29 2000 - grimmer@suse.de
- Update to 0.8.10
- added Group Tag and URL
- use version macro
- use BuildRoot
- specfile cleanups
- Eterm still fails to save default configuration
* Tue Oct 26 1999 - ro@suse.de
- removed libgif from neededforbuild
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - kukuk@suse.de
- Make Eterm sgid tty (for utmp/wtmp)
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Thu Jul 01 1999 - uli@suse.de
- changed refs to libgif to libungif
* Tue May 04 1999 - mb@suse.de
- Spec file created from Eterm-0.8.9.tar.gz by autospec
- Initial package Eterm version 0.8.9
